Subject: Alpine 3.15 x86-x64 and Broadcom WiFi - help

From: CURTIS E NORRIS JR <[email-masked]>
Date: Thu, 10 Mar 2022 16:48:29 -0500 (EST)

I am working with an HP T620 ThinClient which has the BCM943228HMB miniPCI card inside (has Wireless AC and Bluetooth).  

I installed Ubuntu 20.04, and it detects and installs drivers for it when I choose the “allow third-party drivers” during installation.  On first reboot, WiFi and BT both are working (I was using the GNOME desktop – but also XFCE works too.  

Then I tried Debian 11 (bullseye) installed on the same machine.  This one was a little more difficult, but following https://www.youtube.com/watch?v=JW0f3NOjWys  I got it working like a champ.  This is from the current Debian install:

[    5.135018] usb 6-3: Manufacturer: Broadcom Corp
[    8.946676] wlan0: Broadcom BCM43b1 802.11 Hybrid Wireless Controller 6.30.223.271 (r587334)

So, here I am with Alpine Linux and following multiple Internet search guides – I am completely lost.  I am no Linux guru, but can follow instructions (even if a little out of the box thinking is required.  I site this WIKI -- https://wiki.alpinelinux.org/wiki/Wi-Fi  I have tried this over and over and over -  Just cannot understand what the Broadcom section is wanting.  

I am going through all of this, as I really want to install HomeAssistant (using their NUC installer - but installs an OS a DOCKER and a CORE (the OS is Alpine Linux).  It all works fine with a wired Ethernet connection - but I want this box to be wireless.  

I just need some guidance on how to get Alpine to do with Ubuntu and Debian will do and give me WiFi and Bluetooth. 

Currently I have Debian 11 installed - but can boot into Alpine (I was able to get PuTTY working - no DE installed)

Curtis Norris